
VIRTUAL CREDIT CARD - Bug #15230

Android [TREATS] [TREATS Miles] The miles is not added although user have add it via Miles TNC

flow

17 December 2022 01:29 PM - hsulynn pang

Status: Closed Start date: 17 December 2022

Priority: High Due date:  

Assignee: hsulynn pang % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

user profile: ntbsec03

steps:

(1) login

(2) swipe to the right for Kartu Kredit

(3) select the credit card for TREATS

(4) at the Customer Transaction History screen, click My TREATS

(5) at the My TREATS Rewards screen, click Redeem Reward TREATS

(6) click Miles tab

(7) at the Miles tab, click Details button for one of the Miles product

(8) input the details and click Tambah button

(9) verify the screen

Actual result: The miles quantity is not added for that specific miles product in Add to Cart screen

Expected result: The miles quantity is added for that specific miles product. Also, it will display the miles that want to Redeem, total

miles redeem with Add to Cart button

History

#1 - 17 December 2022 01:29 PM - hsulynn pang

- Priority changed from Normal to High

#2 - 18 December 2022 01:27 PM - hsulynn pang

- Assignee changed from Hao Ter Tai to Septi Gizka Tiara

#3 - 19 December 2022 12:15 PM - Abdul Halim Baharom

- Status changed from New to In Progress

- Assignee changed from Septi Gizka Tiara to Abdul Halim Baharom

#4 - 20 December 2022 04:19 PM - Abdul Halim Baharom

- Status changed from In Progress to Resolved

#5 - 20 December 2022 04:41 PM - Abdul Halim Baharom

- Assignee changed from Abdul Halim Baharom to hsulynn pang

#6 - 20 December 2022 06:02 PM - hsulynn pang

- File WhatsApp-Video-2022-12-20-at-180.mp4 added

- Status changed from Resolved to Assigned

- Assignee changed from hsulynn pang to Abdul Halim Baharom

It navigates to wrong screen after click Tambah button via Miles TNC flow. Please help to fix.
#7 - 21 December 2022 06:12 PM - Abdul Halim Baharom

- Assignee changed from Abdul Halim Baharom to hsulynn pang

#8 - 21 December 2022 09:46 PM - hsulynn pang

not able to test due to crash issue

#9 - 22 December 2022 12:47 AM - hsulynn pang

- File retest.mp4 added

- Status changed from Assigned to Closed

tested ok

Files

expected result.PNG 56.2 KB 17 December 2022 hsulynn pang

WhatsApp-Video-2022-12-17-at-132.mp4 4.48 MB 17 December 2022 hsulynn pang

WhatsApp-Video-2022-12-20-at-180.mp4 4.37 MB 20 December 2022 hsulynn pang

retest.mp4 3.94 MB 21 December 2022 hsulynn pang
